﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Board
    {
        private List<Cell> cells;
        public IReadOnlyCollection<Cell> ReadCells { get; private set; }

        public Board()
        {
            cells = new List<Cell>();

            for (int i = 0; i < 12; i++)
            {
                for (int j = 0; j < 12; j++)
                {
                    Cell localcell = new(i, j);
                    cells.Add(localcell);
                }
            }
        }

        public bool AddTileInCell(int x, int y, Tile tile)
        {
            for (int i = 0; i < cells.Count; i++)
            {
                if (this.cells[i].GetX == x && this.cells[i].GetY == y)
                {
                    if (cells[i].IsFree == true)
                    {
                        return cells[i].SetTile(tile);

                    }
                }
            }
            return false;
        }
    }
}
