﻿using QwirkleClassLibrary;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Tile
    {
        private Shape shape;
        private Color color;
        public Tile(Shape sh, Color co)
        {
            shape = sh;
            color = co;
            //Console.WriteLine("A tile of shape " + shape + " and color " + color + " has been created.");
        }

        public string NameColorTile() 
        {
            return color.ToString() + shape.ToString();
        }
        
        public Shape GetShape
        {
            get { return this.shape; }
        }

        public Color GetColor
        {
            get { return this.color; }
        }

        public override string ToString()
        {
            return color.ToString() + shape.ToString();
        }
    }
}